Difference between revisions of "Parallel Port Printers"

From Info Wiki
Jump to: navigation, search
m
(updated Linux automatic loading of parport etc modules)
Line 21: Line 21:
 
*these may not work at all with SPP or bi-directional printers
 
*these may not work at all with SPP or bi-directional printers
 
== Linux ==
 
== Linux ==
Linux distributions from about 2011 do not '''activate''' modules required for parallel port printers, by default.
+
Linux distributions for several years from about 2011 do not '''activate''' modules required for parallel port printers, by default.
 
#In 3.x kernels the modules required are named
 
#In 3.x kernels the modules required are named
 
#*ppdev ('parport' in 2.6.x kernels)
 
#*ppdev ('parport' in 2.6.x kernels)
 
#*lp
 
#*lp
  +
Recent distributions have reverted to automatically loading the '''five''' modules that are now required for a parallel port when one is detected
 
:
 
:
--[[User:Rpeters|Rpeters]]09:16, 31 August 2012 (EST)
+
--[[User:Rpeters|Rod]]
 
--[[Category:Technical Info]]
 
--[[Category:Technical Info]]

Revision as of 11:54, 7 April 2014

Overview

Such printers are now old and only woth pursuing for special features, such as:

  • capability for larger than A4 paper
  • stock of consumables available

Connection

Few contemporary computers have a parallel port. Possible options

  1. some may have a neader on the mainboard, to which a parallel port sccket, having "flying" cable, from '90s vintage computer may be plugged
  2. USB-LPT adapter
  3. printer server

Printer cables conforming to iEEE 1284 use twisted-pairs, for higher data transfer rates

  • these will make a difference only for ECP or EPP capable printers

Settings

Settings in the computer's BIOS or device menu and the printer should be set to the highest capability that both can handle. The following capablilities are listed in increasing order:

  • Stnadard Parallel Port (SPP) - for pre-1994 printers
  • bi-directional - typically in mid-90s printers
  • EPP
  • ECP

USB-LPT devices may not be configurable and tend to support higher modes only

  • these may not work at all with SPP or bi-directional printers

Linux

Linux distributions for several years from about 2011 do not activate modules required for parallel port printers, by default.

  1. In 3.x kernels the modules required are named
    • ppdev ('parport' in 2.6.x kernels)
    • lp

Recent distributions have reverted to automatically loading the five modules that are now required for a parallel port when one is detected

--Rod --